org.apache.cassandra.thrift

## Class Cassandra.Processor<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.TBaseProcessor<I>
  - - org.apache.cassandra.thrift.Cassandra.Processor<I>

All Implemented Interfaces:
  org.apache.thrift.TProcessor

Enclosing class:
  Cassandra

    public static class Cassandra.Processor<I extends Cassandra.Iface>
    extends org.apache.thrift.TBaseProcessor<I>
    implements org.apache.thrift.TProcessor

### Nested Class Summary

Nested Classes
`static class` `Cassandra.Processor.add<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.atomic_batch_mutate<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.batch_mutate<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.cas<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_cluster_name<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_keyspace<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_keyspaces<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_local_ring<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_partitioner<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_ring<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_schema_versions<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_snitch<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_splits<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_splits_ex<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_token_map<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.describe_version<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.execute_cql_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.execute_cql3_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.execute_prepared_cql_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.execute_prepared_cql3_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get_count<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get_indexed_slices<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get_multi_slice<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get_paged_slice<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get_range_slices<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.get_slice<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.insert<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.login<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.multiget_count<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.multiget_slice<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.prepare_cql_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.prepare_cql3_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.remove<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.remove_counter<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.set_cql_version<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.set_keyspace<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.system_add_column_family<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.system_add_keyspace<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.system_drop_column_family<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.system_drop_keyspace<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.system_update_column_family<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.system_update_keyspace<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.trace_next_query<I extends Cassandra.Iface>`
`static class` `Cassandra.Processor.truncate<I extends Cassandra.Iface>`

### Constructor Summary

Constructors
`` `Processor(I iface)`
`protected` `Processor(I iface, java.util.Map<java.lang.String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)`

### Method Summary

### Methods inherited from class org.apache.thrift.TBaseProcessor

`getProcessMapView, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.thrift.TProcessor

`process`

### Constructor Detail

#### Processor

    public Processor(I iface)

#### Processor

    protected Processor(I iface,
                        java.util.Map<java.lang.String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)